#!/bin/bash

dirname=$(dirname $0)

tmpFile=/tmp/fhgfs_setup.tmp
packdir=${dirname}/rpms

function download() {
  proxy=$(echo $1 | tr -d " ")
  if [ "${proxy}" != "" ] && [ "${proxy}" != ":" ]
  then
   export http_proxy=${proxy}
  else
   unset http_proxy
  fi
  baseUrl="http://www.fhgfs.com/release/latest/packages"
  
  distris="suse redhat debian"

  cd ${packdir} 
  rm -f *
  for dist in ${distris}
  do
   echo ${baseUrl}/${dist}
   wget ${baseUrl}/${dist} -O $tmpFile
   if [ $? -ne 0 ]; then return 1; fi
   packs=$(grep -oE "<[A|a] [H|h][R|r][E|e][F|f]=.*.rpm\">|<[A|a] [H|h][R|r][E|e][F|f]=.*.deb\">" $tmpFile | sed 's/<[A|a] [H|h][R|r][E|e][F|f]=\"//' | sed 's/\">//')
   for pack in ${packs}
   do
     echo "Downloading ${pack}"
     wget -r -nd -np -A *.rpm,*.deb -o ${tmpFile} ${baseUrl}/${dist}/${pack} #2>&1
     if [ $? -ne 0 ]; then return 1; fi
   done
   
  done
echo ""
echo "Finished!"
rm $tmpFile
cd ..
return 0
}

download $1
if [ $? -ne 0 ]
then
  exit 1
else
  exit 0
fi
